function ___$insertStylesToHeader(css) {
  if (!css) {
    return
  }
  if (typeof window === 'undefined') {
    return
  }

  const style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);
  return css
}

import { defineComponent, openBlock, createElementBlock, normalizeClass } from 'vue';

var script = /*#__PURE__*/defineComponent({
  name: 'recaptcha',
  props: {
    siteKey: {
      type: String,
      default: ''
    },
    hideBadge: {
      type: Boolean,
      default: false
    }
  },
  emits: ['loadData'],

  data() {
    return {};
  },

  mounted() {
    if (!document.getElementById('apbd-s-gc-' + this.siteKey)) {
      let recaptchaScript = document.createElement('script');
      recaptchaScript.setAttribute('id', 'apbd-s-gc-' + this.siteKey);
      recaptchaScript.setAttribute('src', 'https://www.google.com/recaptcha/api.js?render=' + this.siteKey);
      document.head.appendChild(recaptchaScript);
    }
  },

  computed: {
    currentBadgeStatus() {
      this.hideShowBadge();
      return this.hideBadge;
    }

  },
  methods: {
    hideShowBadge() {
      var elements = document.getElementsByClassName('grecaptcha-badge');

      try {
        if (elements.length > 0) {
          var i;

          for (i = 0; i < elements.length; i++) {
            elements[i].style.display = this.hideBadge ? 'none' : 'block';
          }
        }
      } catch (e) {}
    },

    grecaptcha_client() {
      return window.grecaptcha;
    },

    getToken() {
      const grecaptcha = this.grecaptcha_client();
      return new Promise((resolve, reject) => {
        grecaptcha.execute(this.siteKey, {
          action: 'submit'
        }).then(function (token) {
          resolve(token);
        });
      });
    }

  }
});

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(this.currentBadgeStatus ? 'hidden-badge' : '')
  }, null, 2);
}

script.render = render;

// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var entry_esm = /*#__PURE__*/(() => {
  // Get component instance
  const installable = script; // Attach install function executed by Vue.use()

  installable.install = app => {
    app.component('recaptcha', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;

export { entry_esm as default };
