'use strict';

function ___$insertStylesToHeader(css) {
  if (!css) {
    return
  }
  if (typeof window === 'undefined') {
    return
  }

  const style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);
  return css
}

var vue=require('vue');function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}var script = /*#__PURE__*/vue.defineComponent({
  name: 'recaptcha',
  props: {
    siteKey: {
      type: String,
      default: ''
    },
    hideBadge: {
      type: Boolean,
      default: false
    }
  },
  emits: ['loadData'],
  data: function data() {
    return {};
  },
  mounted: function mounted() {
    if (!document.getElementById('apbd-s-gc-' + this.siteKey)) {
      var recaptchaScript = document.createElement('script');
      recaptchaScript.setAttribute('id', 'apbd-s-gc-' + this.siteKey);
      recaptchaScript.setAttribute('src', 'https://www.google.com/recaptcha/api.js?render=' + this.siteKey);
      document.head.appendChild(recaptchaScript);
    }
  },
  computed: {
    currentBadgeStatus: function currentBadgeStatus() {
      this.hideShowBadge();
      return this.hideBadge;
    }
  },
  methods: {
    hideShowBadge: function hideShowBadge() {
      var elements = document.getElementsByClassName('grecaptcha-badge');

      try {
        if (elements.length > 0) {
          var i;

          for (i = 0; i < elements.length; i++) {
            elements[i].style.display = this.hideBadge ? 'none' : 'block';
          }
        }
      } catch (e) {}
    },
    grecaptcha_client: function grecaptcha_client() {
      return window.grecaptcha;
    },
    getToken: function getToken() {
      var _this = this;

      var grecaptcha = this.grecaptcha_client();
      return new Promise(function (resolve, reject) {
        grecaptcha.execute(_this.siteKey, {
          action: 'submit'
        }).then(function (token) {
          resolve(token);
        });
      });
    }
  }
});function render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: vue.normalizeClass(this.currentBadgeStatus ? 'hidden-badge' : '')
  }, null, 2);
}script.render = render;// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var component = /*#__PURE__*/(function () {
  // Get component instance
  var installable = script; // Attach install function executed by Vue.use()

  installable.install = function (app) {
    app.component('recaptcha', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;
var namedExports=/*#__PURE__*/Object.freeze({__proto__:null,'default':component});// only expose one global var, with named exports exposed as properties of
// that global var (eg. plugin.namedExport)

Object.entries(namedExports).forEach(function (_ref) {
  var _ref2 = _slicedToArray(_ref, 2),
      exportName = _ref2[0],
      exported = _ref2[1];

  if (exportName !== 'default') component[exportName] = exported;
});module.exports=component;